Package gaia.cu9.tools.parallax.PDF

# Class DistanceEstimationMethod

java.lang.Object
gaia.cu9.tools.parallax.PDF.DistanceEstimationMethod

Direct Known Subclasses:
  `ExpDecrVolumeDensityDEM`, `UniformDistanceDEM`

public abstract class DistanceEstimationMethod extends Object

## Constructor Summary

Constructors
Constructor
Description
`DistanceEstimationMethod()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract PDF`
`createDistancePdf()`
`protected abstract PDF`
`createModulusPdf()`
`PDF`
`getDistanceModulusPDF()`
`PDF`
`getDistancePDF()`
`protected void`
`initPdfs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DistanceEstimationMethod

public DistanceEstimationMethod()

## Method Details

### createDistancePdf

protected abstract PDF createDistancePdf()

### createModulusPdf

protected abstract PDF createModulusPdf()

### initPdfs

protected void initPdfs()

### getDistancePDF

public PDF getDistancePDF()

### getDistanceModulusPDF

public PDF getDistanceModulusPDF()